Refactor tests to delete distributions of protected repo versions
Pull request:    

Description

Some VCR tests fail as below:

Error:

Actions::Pulp3::RpmUploadTest#test_upload:

RuntimeError: Neutered Exception ForemanTasks::TaskError: Task e9a3a228-960e-4bfc-b217-0e92a62f9c2c:

PulpRpmClient::ApiError: Error message: the server returns an error

HTTP status code: 400

Response headers: {"date"=>"Mon, 01 Apr 2024 17:19:42 GMT", "server"=>"gunicorn", "content-type"=>"application/json",

"vary"=>"Accept,Cookie", "allow"=>"GET, DELETE, HEAD, OPTIONS", "x-frame-options"=>"DENY", "content-length"=>"174",

"x-content-type-options"=>"nosniff", "referrer-policy"=>"same-origin", "cross-origin-opener-policy"=>"same-origin",

"correlation-id"=>"792dd3fc653b42168de59218e1cf55d9", "access-control-expose-headers"=>"Correlation-ID", "via"=>"1.1

centos8-katello-devel-stable.example.com", "connection"=>"close"}

Response body: ["The repository version cannot be deleted because it (or its publications) are currently being used to distribute

content. Please update the necessary distributions first."]

foreman-tasks (9.1.1) lib/foreman_tasks.rb:56:in `block in sync_task'

foreman-tasks (9.1.1) lib/foreman_tasks.rb:55:in `tap'

foreman-tasks (9.1.1) lib/foreman_tasks.rb:55:in `sync_task'

/home/vagrant/katello/test/actions/pulp3/orchestration/rpm_upload_test.rb:20:in `teardown'

/home/vagrant/katello/test/support/vcr.rb:24:in `block in run'

/home/vagrant/katello/test/support/vcr.rb:23:in `run'

This happens because pulpcore 3.49 adds protected repo versions where versions can not be deleted if there's a distributions

attached to it directly or indirectly.

History

#1 - 04/01/2024 08:50 PM - Samir Jha

- Subject changed from Refector tests to delete distributions of protected repo versions to Refactor tests to delete distributions of protected repo

versions

#2 - 04/03/2024 05:49 PM - Samir Jha

- Status changed from New to Closed

This will be taken care of as part of https://github.com/Katello/katello/pull/10949. Closing this out.

#3 - 04/03/2024 05:49 PM - Samir Jha

- Triaged changed from No to Yes

#4 - 04/04/2024 03:38 PM - Samir Jha

- Status changed from Closed to New

Reopening to track any katello action items around https://github.com/pulp/pulpcore/issues/5218

05/18/2024 1/2

https://github.com/Katello/katello/pull/10949
https://github.com/pulp/pulpcore/issues/5218


#5 - 05/03/2024 06:43 AM - Samir Jha

This has been taken care of by refactoring a lot of tests to add cleanups as part of pulpcore upgrade. Closing this out.

#6 - 05/03/2024 06:44 AM - Samir Jha

- Status changed from New to Resolved

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

http://www.tcpdf.org

